%define	PYVER	`python -c "import sys; print sys.version[:3]"`
%define	rel	1

Name:		foobnix
Version: 	2.5.35
Release: 	%mkrel 1
URL:		http://foobnix.com
License:	GNU GPL v3 or later
Source:		https://launchpad.net/~foobnix-player/+archive/foobnix/+files/%{name}_%{version}m.tar.gz
#Source: 	%{name}_%{version}-%{rel}m.tar.gz
Summary:	Simple and Powerful music player for Linux
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}_%{version}-build

BuildRequires: python-chardet, pygtk2.0, pygtk2.0-libglade, mutagen, python-simplejson, python-setuptools 
BuildRequires: gstreamer0.10-plugins-good, gstreamer0.10-plugins-ugly, gstreamer0.10-ffmpeg, gstreamer0.10-plugins-bad
BuildRequires: gstreamer0.10-python, gettext, make, fuseiso
%ifarch x86_64
BuildRequires: keybinder
%else
BuildRequires: python-keybinder
%endif
Requires:	python-webkitgtk

Requires: python-chardet, python-setuptools, python-simplejson, mutagen
Requires: gstreamer0.10-plugins-good, gstreamer0.10-python
Requires: gstreamer0.10-ffmpeg, gstreamer0.10-plugins-ugly

%description 
Simple and Powerful music player for Linux

All best features in one player. Foobnix small, fast, customizable, powerful
music player with user-friendly interface.

%prep
%setup -q -n %{name}_%{version}

%build

%install
rm -rf %{buildroot}
PREFIX=%{buildroot}/usr make install

%if "%{?_lib}" == "lib64" 
mkdir -p %{buildroot}%{python_sitearch}/
cp -r %{buildroot}%{python_sitelib}/ %{buildroot}%{py_platlibdir}/
rm -r %{buildroot}%{python_sitelib}/
%endif

# icons fix
mkdir -p %{buildroot}%{_icons64dir}/
cp %{buildroot}%{_datadir}/pixmaps/%{name}.png \
%{buildroot}%{_icons64dir}/

%files
%defattr (-,root,root,0755)
%doc README COPYING CHANGELOG
%{_bindir}/%{name}
%{python_sitearch}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/*
#%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%{_datadir}/pixmaps/%{name}*
%{_datadir}/pixmaps/theme/cat.jpg
%{_datadir}/pixmaps/theme/flower.jpg
%{_datadir}/pixmaps/vk.png
%{_datadir}/pixmaps/theme/winter.jpg
%{_mandir}/man1/%{name}*
%{_datadir}/locale/es/LC_MESSAGES/%{name}.*
%{_datadir}/locale/it/LC_MESSAGES/%{name}.*
%{_datadir}/locale/uk/LC_MESSAGES/%{name}.*
%{_datadir}/locale/ru/LC_MESSAGES/%{name}.*
%{_datadir}/locale/pl/LC_MESSAGES/%{name}.*
%{_datadir}/locale/zh_CN/LC_MESSAGES/%{name}.*
%{_datadir}/locale/en_GB/LC_MESSAGES/%{name}.*
%{_datadir}/locale/pt/LC_MESSAGES/%{name}.*
%{_datadir}/locale/de/LC_MESSAGES/%{name}.*
#%{_datadir}/locale/by/LC_MESSAGES/%{name}.*
%{_datadir}/locale/fr/LC_MESSAGES/%{name}.*
%{_datadir}/locale/tr/LC_MESSAGES/%{name}.*
%{_datadir}/locale/bg/LC_MESSAGES/%{name}.*
%{_datadir}/locale/ca/LC_MESSAGES/foobnix.mo
%clean
rm -rf %{buildroot}



%changelog
* Wed Jan 04 2012 Sergey Zhemoitel <serg@mandriva.org> 2.5.35-1mdv2011.0
+ Revision: 756354
- new release 2.5.35

* Mon Jan 02 2012 Sergey Zhemoitel <serg@mandriva.org> 2.5.34-1
+ Revision: 748688
- new release 2.5.34

* Sat Dec 17 2011 Sergey Zhemoitel <serg@mandriva.org> 2.5.30-1
+ Revision: 743220
- update new release 2.5.30

* Fri Nov 04 2011 Sergey Zhemoitel <serg@mandriva.org> 2.5.28-1
+ Revision: 717473
- new release 2.5.28

* Wed Aug 10 2011 Sergey Zhemoitel <serg@mandriva.org> 2.5.23-1
+ Revision: 693884
- fix spec
- new release 2.5.23

* Wed Jul 06 2011 Sergey Zhemoitel <serg@mandriva.org> 2.5.17-1
+ Revision: 688947
- corrected macros
- source new release 2.5.17
- update to new release 2.5.17
- new requires python-webkit
- few correcting
- new release 2.5.16
- new release 2.5.16
- correct spec from icons
- upload package new release
- update to new version 2.5.14
- icons fix
- remake icons
- change group
- imported package foobnix
- imported package foobnix
- imported package foobnix
- imported package foobnix
- imported package foobnix
- imported package foobnix

  + Александр Казанцев <kazancas@mandriva.org>
    - initital relese for Mandriva
    - import foobnix

